Name:           libxkbcommon
Version:        1.3.1
Release:        3
Summary:        X.Org X11 XKB parsing library
License:        MIT
URL:            https://www.x.org
Source0:        https://xkbcommon.org/download/%{name}-%{version}.tar.xz

BuildRequires:  git meson
BuildRequires:  xorg-x11-util-macros byacc flex bison
BuildRequires:  xorg-x11-proto-devel libX11-devel
BuildRequires:  xkeyboard-config-devel
BuildRequires:  pkgconfig(xcb-xkb) >= 1.10
BuildRequires:  libxml2-devel chrpath
Requires:       xkeyboard-config

%description
xkbcommon is a library for handling of keyboard descriptions, including
loading them from disk, parsing them and handling their state. It's mainly
meant for client toolkits, window systems, and other system applications

%package        devel
Summary:        X.Org X11 XKB parsing development package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
X.Org X11 XKB parsing development package

%package x11
Summary:        X.Org X11 XKB keymap creation library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description x11
%{name}-x11 is the X.Org library for creating keymaps by querying the X
server.

%package x11-devel
Summary:        X.Org X11 XKB keymap creation library
Requires:       %{name}-x11%{?_isa} = %{version}-%{release}

%description x11-devel
X.Org X11 XKB keymap creation library development package

%package utils
Summary:        X.Org X11 XKB parsing utilities
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description utils
%{name}-utils is a set of utilities to analyze and test XKB parsing

%prep
%autosetup -n %{name}-%{version} -p1

%build

%meson -Denable-docs=false \
       -Denable-x11=true \
       -Denable-wayland=false
%meson_build
%install
%meson_install

%delete_la

# remove rpath
chrpath -d %{buildroot}%{_libdir}/libxkbcommon-x11.so.0.0.0
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "/usr/lib64" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf
 
%post x11
/sbin/ldconfig
 
%postun x11
/sbin/ldconfig

%check
%meson_test

%files
%license LICENSE
%{_libdir}/libxkbcommon.so.0.0.0
%{_libdir}/libxkbcommon.so.0
%{_libdir}/libxkbregistry.so.0.0.0
%{_libdir}/libxkbregistry.so.0
 
%files devel
%{_libdir}/libxkbcommon.so
%{_libdir}/libxkbregistry.so
%dir %{_includedir}/xkbcommon/
%{_includedir}/xkbcommon/xkbcommon.h
%{_includedir}/xkbcommon/xkbcommon-compat.h
%{_includedir}/xkbcommon/xkbcommon-compose.h
%{_includedir}/xkbcommon/xkbcommon-keysyms.h
%{_includedir}/xkbcommon/xkbcommon-names.h
%{_includedir}/xkbcommon/xkbregistry.h
%{_libdir}/pkgconfig/xkbcommon.pc
%{_libdir}/pkgconfig/xkbregistry.pc
 
%ldconfig_scriptlets x11
 
%files x11
%{_libdir}/libxkbcommon-x11.so.0.0.0
%{_libdir}/libxkbcommon-x11.so.0
%config(noreplace) /etc/ld.so.conf.d/*
 
%files x11-devel
%{_libdir}/libxkbcommon-x11.so
%{_includedir}/xkbcommon/xkbcommon-x11.h
%{_libdir}/pkgconfig/xkbcommon-x11.pc

%files utils
%{_bindir}/xkbcli
%{_libexecdir}/xkbcommon/xkbcli-compile-keymap
%{_libexecdir}/xkbcommon/xkbcli-how-to-type
%{_libexecdir}/xkbcommon/xkbcli-interactive-evdev
%{_libexecdir}/xkbcommon/xkbcli-interactive-x11
%{_libexecdir}/xkbcommon/xkbcli-list
%{_mandir}/man1/xkbcli-compile-keymap.1.gz
%{_mandir}/man1/xkbcli-how-to-type.1.gz
%{_mandir}/man1/xkbcli-interactive-evdev.1.gz
%{_mandir}/man1/xkbcli-interactive-x11.1.gz
%{_mandir}/man1/xkbcli-list.1.gz
%{_mandir}/man1/xkbcli.1.gz

%changelog
* Sat Jun 11 2022 wangkerong <wangkerong@h-partners.com> - 1.3.1-3
- CVE:NA
- SUG:NA
- DESC:remove rpath

* Tue Apr 19 2022 dongyuzhen <dongyuzhen@h-partners.com> - 1.3.1-2
- enable test

* Wed Nov 24 2021 hanhui <hanhui15@huawei.com> - 1.3.1-1
- DESC: update to 1.3.1

* Thu Jan 28 2021 hanhui <hanhui15@huawei.com> - 1.0.3-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 1.0.3

* Mon Jul 27 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.10.0-1
- update package version  from 0.8.4  to 0.10.0

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.8.4-3
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:delete redundant files

* Mon Sep 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.4-2
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: rebuilt spec, add x11,x11-devel package.

* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.4-1
- Package init
